.woocommerce-cart .l-main {
    margin-top: var(--header-height);
}


.woocommerce-cart .return-to-shop {
    position: relative;
    min-height: 10vw;
}

.woocommerce-cart .return-to-shop .button.wc-backward {
    background-color: var(--pri-color);
}

#payment-method li,
#shipping-method li {
    margin: 20px 0;
}
.wc_payment_methods li.wc_payment_method input[type="radio"],
#shipping_method li input[type="radio"] {
    opacity: 0;
}

.wc_payment_methods li.wc_payment_method input[type="radio"] ~ label,
#shipping_method li input[type="radio"] ~ label {
    position: relative;
    left: 33px;
    color: #666666;
}

/*
.wc_payment_methods li.wc_payment_method input[type="radio"] ~ label {
    font-size: 0;
    height: 40px;
    left: 20px;
    display: block;
}
.wc_payment_methods li.wc_payment_method input[type="radio"] ~ label img {
    float: none;
    height: 40px;
    display: block;
    position: absolute;
    top: -10px;
}
*/
.payment_method_mollie_wc_gateway_ideal > p:first-child {
    display: none;
}



.wc_payment_methods li.wc_payment_method input[type="radio"] ~ label:before,
#shipping_method li input[type="radio"] ~ label:before {
    content: '';
    width: 22px;
    height: 22px;
    background-color: #ffffff;
    border-radius: 22px;
    border: 1px solid #A6A6A6;
    position: absolute;
    left: -32px;
}

.wc_payment_methods li.wc_payment_method input[type="radio"]:checked ~ label:after,
#shipping_method li input[type="radio"]:checked ~ label:after { 
    content: '';
    width: 10px;
    height: 10px;
    background-color: var(--pri-color);
    border-radius: 22px;
    border: none;
    position: absolute;
    left: -20px;
    top: 11px;
    transform: translate(-50%, -50%);
}

.checkout_col input[type="checkbox"] ~ label:before {
    content: '';
    width: 22px;
    height: 22px;
    background-color: #ffffff;
    border-radius: 22px;
    border: 1px solid #A6A6A6;
    position: absolute;
    left: -32px;
}

.checkout_col input[type="checkbox"]:checked ~ label:after {
    content: '';
    width: 10px;
    height: 10px;
    background-color: var(--pri-color);
    border-radius: 22px;
    border: none;
    position: absolute;
    left: -20px;
    top: 11px;
    transform: translate(-50%, -50%);
}

ul.wc_payment_methods {
    list-style: none;
    list-style-type: none;
    margin: 0;
}
#payment-method select {
    background-image: linear-gradient(#E8E8E8, #FFFFFF 35%);
    margin-top: 10px;
}



/* WINKELWAGEN SHOPPING CART */

section.section_content_cart {
    padding: unset;
}
section.section_content_cart > section.l-section {
    padding: unset;
}


section.section_content_cart h2.text_green {
    text-transform: none;
    margin-bottom: 0;
}
.woocommerce-cart-form thead {
    display: none;
}
.woocommerce-cart-form td, 
.woocommerce-cart-form th {
    border-bottom: none;
}

/*
.woocommerce-cart-form .cart_item:not(:last-child) { 
 */
.woocommerce-cart-form__cart-item.cart_item:not(.no_border) {
    border-bottom: 1px solid #BFBFBF;
}

.woocommerce .shop_table.cart .product-thumbnail, 
.woocommerce-cart-form__cart-item.cart_item .product-thumbnail {
    width: 225px;
    height: 161px;
}
.woocommerce .product-thumbnail img {
    width: 100%;
    border: 1px solid #A6A6A6;
    border-radius: 15px;
    height: 161px;
    object-fit: cover;
}

.woocommerce .product-price,
.woocommerce .product-description a,
.woocommerce .product-description {
    font-size: 20px !important;
    color: var(--pri-color);
    text-decoration: none;
    font-weight: 500;
}

.woocommerce .product-description {
    width: 560px;
}

.woocommerce  .shop_table.cart .product-price .old_price {
    display: none;
}

.woocommerce .product-remove a {
    display: flex;
    height: 100%;
}

.woocommerce .shop_table .quantity input.qty {
    border-radius: 5px;
    padding: 10px;
    border: 1px solid #B3B3B3;
    background-color: #ffffff;
    min-width: 65px;
    font-size: 21px;
    font-family: 'Khand';
    text-align: center;
}

.woocommerce .shop_table .quantity input[type=number] { 
    -moz-appearance: textfield;
    appearance: textfield;
    margin: 0; 
}

.woocommerce .shop_table .quantity input[type=number]::-webkit-inner-spin-button, 
.woocommerce .shop_table .quantity input[type=number]::-webkit-outer-spin-button { 
      -webkit-appearance: none; 
      margin: 0; 
}

.woocommerce  .shop_table.cart .quantity {
    position: relative;
} 

.woocommerce-account .l-main,
.woocommerce-lost-password .l-main,
.woocommerce-cart  .l-main,
.woocommerce.checkout  .l-main {
    margin-top: calc(var(--header-height) - 1vw);
}


.woocommerce-checkout .woocommerce .content_row,
.woocommerce-cart .woocommerce .content_row {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    padding: 50px 175px;
}

.woocommerce-cart .woocommerce .content_row,
.woocommerce-checkout .woocommerce .content_row {
    padding: 50px 0;
}

.woocommerce .checkout_heading,
.woocommerce .cart_heading {
    margin: 0 175px;
}
.woocommerce .checkout_heading .logos_wrapper,
.woocommerce .cart_heading .logos_wrapper {
    margin-left: -175px;
}


.woocommerce-checkout .woocommerce .woocommerce-notices-wrapper,
.woocommerce-cart .woocommerce .woocommerce-notices-wrapper {
    position: absolute;
}

.woocommerce  .shop_table.cart .product-price .old_price {
    text-transform: lowercase;
}

.woocommerce  .shop_table.cart .product-price .new_price,
.woocommerce  .shop_table.cart .product-price .price {
    text-transform: uppercase;
}

.woocommerce  .shop_table.cart .product-price .price ins,
.woocommerce  .shop_table.cart .product-price .new_price ins {
    color: #5CBB4F;
    text-decoration: none;
    text-align: center;
    display: flex;
    align-items: baseline;
    justify-content: center;
}
.woocommerce  .shop_table.cart .product-price .price .whole,
.woocommerce  .shop_table.cart .product-price .new_price .whole {
    font-size: 30px;
    text-decoration: none;
}

.woocommerce  .shop_table.cart .product-price .price .partial,
.woocommerce  .shop_table.cart .product-price .new_price .partial {
    font-size: 20px;
    text-decoration: none;
}
.icon.icon_trash {
    content: '';
    width: 20px;
    height: 23px;
    position: relative;
    display: block;
    background-image: url(../images/icons/trash.svg);
    left: 0;
    top: 50%;
}

.woocommerce .cart_totals ul {
    overflow: unset;
    background-color: unset;
    padding: 0;
}

.woocommerce .cart_totals ul:before {
    content: none;
}

.woocommerce .cart_totals #shipping_method li input[type="radio"] ~ label {
    left: 0;
    color: #105E63;
}


.woocommerce .cart_totals td, 
.woocommerce .cart_totals th,
.cart-collaterals .cart_description p {
    padding: 0;
    font-size: 18px;
    color: #105E63;
}


.cart-collaterals .cart_description {
    padding: 50px;
}
 
.woocommerce .cart-subtotal {
    border-bottom: 1px solid #BFBFBF;
}

.woocommerce .cart_totals th,
.woocommerce .cart_totals td{
    padding: 20px 0;
}

.woocommerce .cart_totals th {
    text-align: left;
}
.woocommerce .cart_totals .order-total td b,
.woocommerce .cart_totals .order-total td strong,
.woocommerce .cart_totals .cart-subtotal td,
.woocommerce .cart_totals .order-total th, 
.woocommerce .cart_totals .order-total td {
    font-weight: normal;
}

.woocommerce .cart_totals .wc-proceed-to-checkout {
    margin-top: 70px;
    text-align: center;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row-reverse;
    min-width: 420px;
}

.woocommerce .cart_totals a.checkout-button:hover,
.woocommerce .cart_totals a.checkout-button:active,
.woocommerce .cart_totals a.checkout-button:focus,
.woocommerce .cart_totals a.checkout-button,
.woocommerce .checkout-button {
    position: relative;
    opacity: 1;
    left: 0;
    bottom: 33px;
    transform: unset;
    border: 1px solid #16967A;
    background-color: #16967A;
    height: 46px;
    border-radius: 3em;
    max-width: 50%;
    display: flex;
    justify-content: center;
    text-transform: none;
    text-decoration: none;
}
/* CHECKOUT BUTTON */
.woocommerce .return-to-shop a.button.wc-backward,
.woocommerce-account .woocommerce button.button,
.woocommerce-button.woocommerce-form-register__submit,
.woocommerce-button.woocommerce-form-login__submit {
    background-color: var(--pri-color);
    border-radius: 50px;
    box-shadow: none;
    font-size: 24px;
    text-transform: none;
    position: relative;
    transform: none;
    left: 0;
}

.woocommerce .return-to-shop a.button.wc-backward,
.woocommerce-account .woocommerce button.button,
.woocommerce-account button.woocommerce-Button,
.woocommerce-button.woocommerce-form-register__submit,
.woocommerce-button.woocommerce-form-login__submit {
    color: #ffffff;
    padding-right: 65px;
    padding-left: 40px;
    margin-top: 30px;
}

.woocommerce-button.woocommerce-form-register__submit {
    padding-right: 50px;
}

.buttons_wrapper .button {
    display: inline-block;
    text-align: center;
    position: relative;
}

.buttons_wrapper .button.outline_btn:active,
.buttons_wrapper .button.outline_btn:focus,
.buttons_wrapper .button.outline_btn:hover,
.buttons_wrapper .button.outline_btn,
.woocommerce a.button.outline_button:active,
.woocommerce a.button.outline_button:focus,
.woocommerce a.button.outline_button:hover,
.woocommerce a.button.outline_button {
     border-radius: 50px;
    border: 1px solid var(--text-color);
    margin: 0 25px;;
    font-size: 16px;
    color: var(--text-color) !important;
    padding: 10px 0;
    text-transform: none;
    background-color: transparent;
    max-width: calc(50% - 50px);
    box-shadow: unset !important;
    position: relative;
    transform: none;
    left: 0;
    display: flex;
    justify-content: center;
    text-decoration: none;
}


.woocommerce .cart-collaterals {
    position: relative;
}

/* CHECKOUT */

.checkout .l-main {
    margin-top: 230px;
}
.checkout .l-header {
    background-size: cover;
}

.checkout .col2-set {
    max-width: 30%;
}
.woocommerce .col2-set .col-2,
.woocommerce .col2-set .col-1 {
    min-width: 100%;
    width: 100%;
    float: unset;
}

.woocommerce .col2-set .col-2 {
    margin-top: 25px
}

form.checkout.woocommerce-checkout {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}


form.checkout.woocommerce-checkout .checkout_col {
    width: 30%;
}

.l-main {
    position: relative;
}
.search-icon-wrapper,
.cart-icon-wrapper {
    position: absolute;
    top: calc(1vw + var(--header-height));
    right: 1vw;
    z-index: 3;
}

.search-icon-wrapper {
    top: calc(1vw + 60px + var(--header-height));
}
.search-icon-row {
    display: flex;
}

.cart-icon-wrapper .cart-icon-counter {
    position: absolute;
    right: -7px;
    top: -7px;
    border-radius: 2em;
    color: #ffffff;
    background-color: #CE4600;
    width: 26px;
    height: 26px;
    font-size: 16px;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
}

.search-icon-wrapper button#searchsubmit,
.cart-icon .cart-icon-image-wrapper {
    width: 60px;
    height: 60px;
}

.search-icon-wrapper button#searchsubmit {
    background-color: transparent;
    padding: 0;
    box-shadow: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

.search-icon-wrapper form.search-icon-row {
    background-color: #ffffff;
    padding: 0;
    border-radius: 3em;
    border: 1px solid var(--pri-color);
    margin-top: 6px;
}

.search-icon-wrapper form.search-icon-row input[type="text"] {
    border: none;
    height: 60px;
    width: 0px;
    transition: all 0.3s ease-in-out;
    padding-left: 0;
    padding-right: 0;
}

.search-icon-wrapper.active form.search-icon-row input[type="text"] {
    width: 300px;
    padding-left: 20px;
    padding-right: 20px;
}

.search-icon-wrapper i.search-icon {
    background-image: url(../images/icons/search-icon.svg);
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    width: 40px;
    height: 40px;
}

.cart-icon {
    display: none;
}
.cart-icon.show_cart {
    display: block;
}

.cart-icon .cart-icon-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.woocommerce-cart-form {
    border: 1px solid #D9D9D9;
    border-radius: 12px;
    padding: 1.6vw;
    height: fit-content;
}
